# -*- coding: utf-8 -*-
from django.db import models
from portailuser.models import Ecole, PortailUser
from gestion import fields


class Annonce(models.Model):
    user = models.ForeignKey(PortailUser, on_delete=models.CASCADE)
    ecole = models.ForeignKey(Ecole, on_delete=models.CASCADE)
    adresse_depart = models.TextField(verbose_name="Adresse de départ")
    adresse_destination = models.TextField(verbose_name="Adresse de destination")
    places = models.PositiveSmallIntegerField(verbose_name="Nombre de places", default=1)
    participation = models.DecimalField(
        verbose_name="Participation (en €, optionnel)",
        max_digits=10,
        decimal_places=2,
        blank=True,
        null=True,
    )
    date_depart = fields.DateTimeField(verbose_name="Date de départ")
    commentaire = models.TextField(blank=True, null=True)
    date_publication = fields.DateTimeField(verbose_name="Date de publication", auto_now_add=True)
